Browse Source

updated chromum; NEW chromium13

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@4348 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 years ago
parent
commit
44b3dfbcf8

+ 9 - 6
c/chromium/chromium12-vl.spec

@@ -17,8 +17,8 @@ Name:           chromium
 Summary:        Google's opens source browser project
 Summary(ja):    Googleのオープンソースウェブブラウザ
 #'
-Version:        12.0.742.93
-Release:        2%{?_dist_release}
+Version:        12.0.742.124
+Release:        1%{?_dist_release}
 License:        BSD
 Group:          Applications/Internet
 Source0:        %{pkgname}-%{version}.tar.xz
@@ -49,10 +49,8 @@ Source103:      chromium-browser-rpmlintrc
 
 %{?nosrc:NoSource: 0}
 
-Provides:       chromium-browser = %{version}
-##Provides:	chromium-based-browser = %{version}
-##Obsoletes:      chromium-browser < %{version}
-##Conflicts:      chromium
+Provides:       chromium-stable = %{version}
+Conflicts:      chromium-unstable
 
 ## Start Patches
 # Many changes to the gyp systems so we can use system libraries
@@ -385,6 +383,11 @@ fi || :
 %{_libdir}/chromium/lib*.so
 
 %changelog
+* Wed Jul 13 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.124-1
+- updated to 12.0.742.124
+- added Provides: chromium-stable = %%{version}
+- added Conflicts: chromium-unstable
+
 * Thu Jun 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0.742.93-1
 - fix user-agent string (chromium-vendor-vine.patch.in)
   - move vendor string (Vine/12.0.742.91-1vl6) to the end.

+ 17 - 0
c/chromium13/chromium-browser-vine.desktop

@@ -0,0 +1,17 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=Chromium Web Browser
+Name[ja]=Chromiumウェブブラウザ
+Comment=Browse the World Wide Web
+Comment[ja]=Webを閲覧する
+GenericName=Web Browser
+GenericName[ja]=ウェブブラウザ
+Exec=chromium %u
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+Icon=chromium-browser.png
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;application/xhtml+xml;x-scheme-handler/http;x-scheme-handler/https;
+StartupWMClass=Chromium

+ 131 - 0
c/chromium13/chromium-browser-vine.sh

@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Chromium launcher
+
+# Authors:
+#  Fabien Tassin <fta@sofaraway.org>
+# License: GPLv2 or later
+
+APPNAME=chromium
+LIBDIR=/usr/lib/chromium
+GDB=/usr/bin/gdb
+
+# Let the Chromium aware MeeGo desktop environment.
+# For system proxy setting integration.
+GNOME_DESKTOP_SESSION_ID="this-is-deprecated"
+export GNOME_DESKTOP_SESSION_ID
+
+usage () {
+  echo "$APPNAME [-h|--help] [-g|--debug] [options] [URL]"
+  echo
+  echo "        -g or --debug           Start within $GDB"
+  echo "        -h or --help            This help screen"
+}
+
+# FFmpeg needs to know where its libs are located
+if [ "Z$LD_LIBRARY_PATH" != Z ] ; then
+  LD_LIBRARY_PATH=$LIBDIR:$LD_LIBRARY_PATH
+else
+  LD_LIBRARY_PATH=$LIBDIR
+fi
+export LD_LIBRARY_PATH
+
+# xdg-settings should in PATH
+PATH=$PATH:$LIBDIR
+export PATH
+
+want_debug=0
+while [ $# -gt 0 ]; do
+  case "$1" in
+    -h | --help | -help )
+      usage
+      exit 0 ;;
+    -g | --debug )
+      want_debug=1
+      shift ;;
+    -- ) # Stop option prcessing
+      shift
+      break ;;
+    * )
+      break ;;
+  esac
+done
+
+# # Set plugin search path. Chromium will read mozilla's plugin 
+# # search path. This is for platforms (handset, TV, etc..) where 
+# # plugins are not copied/linked to the standard mozilla plugin
+# # path due to reasons. PDF plugin is in the list though it is
+# # not really supported by chromium on Linux.
+# moz_plugin_path=$(find /usr/java/jre* \
+#                   /usr/lib/flash-plugin \
+#                   /opt/Adobe* /usr/Adobe* \
+#                   -name "libnpjp2.so" -exec dirname {} \; -o \
+#                   -name "libflashplayer.so" -exec dirname {} \; -o \
+#                   -name "nppdf.so" -exec dirname {} \; 2>/dev/null | xargs echo)
+# MOZ_PLUGIN_PATH=$MOZ_PLUGIN_PATH:${moz_plugin_path// /:}
+# export MOZ_PLUGIN_PATH
+
+# Setup the default profile if this is none
+# Set the default theme as GTK+ with system window decoration
+if [ ! -d ~/.config/chromium/Default ]; then
+    mkdir -p ~/.config/chromium/Default
+    cat <<EOF > ~/.config/chromium/Default/Preferences
+{
+   "browser": {
+      "custom_chrome_frame": false
+   },
+   "extensions": {
+      "theme": {
+         "colors": {
+
+         },
+         "id": "",
+         "images": {
+
+         },
+         "properties": {
+
+         },
+         "tints": {
+
+         },
+         "use_system": true
+      }
+   },
+   "homepage": "http://meego.com/",
+   "homepage_is_newtabpage": false,
+   "session": {
+      "restore_on_startup": 1
+   },
+   "webkit": {
+      "webprefs": {
+         "default_fixed_font_size": 13,
+         "default_font_size": 16,
+         "fixed_font_family": "Droid Sans Mono",
+         "sansserif_font_family": "Droid Sans",
+         "serif_font_family": "Droid Serif"
+      }
+   }
+}
+EOF
+    # Set the default browser
+    $LIBDIR/xdg-settings set default-web-browser chromium-browser.desktop
+fi
+
+if [ $want_debug -eq 1 ] ; then
+  if [ ! -x $GDB ] ; then
+    echo "Sorry, can't find usable $GDB. Please install it."
+    exit 1
+  fi
+  tmpfile=`mktemp /tmp/chromiumargs.XXXXXX` || { echo "Cannot create temporary file" >&2; exit 1; }
+  trap " [ -f \"$tmpfile\" ] && /bin/rm -f -- \"$tmpfile\"" 0 1 2 3 13 15
+  echo "set args ${1+"$@"}" > $tmpfile
+  echo "# Env:"
+  echo "#     LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
+  echo "$GDB $LIBDIR/$APPNAME -x $tmpfile"
+  $GDB "$LIBDIR/$APPNAME" -x $tmpfile
+  exit $?
+else
+  exec $LIBDIR/$APPNAME "--password-store=detect" "--enable-experimental-extension-apis" "--enable-plugins" "--enable-extensions" "--enable-user-scripts" "--enable-printing" "--enable-sync" "--auto-ssl-client-auth" "$@"
+fi
+

+ 11 - 0
c/chromium13/chromium-vendor-vine.patch.in

@@ -0,0 +1,11 @@
+--- src/webkit/glue/user_agent.cc
++++ src/webkit/glue/user_agent.cc
+@@ -106,6 +106,7 @@ void BuildUserAgent(bool mimic_chrome1,
+   base::StringAppendF(
+       result,
+       "Mozilla/5.0 (%s%s) AppleWebKit/%d.%d"
+-      " (KHTML, like Gecko) %s Safari/%d.%d",
++      " (KHTML, like Gecko) %s Safari/%d.%d"
++      " Vine/RPM_VERSION",
+       mimic_windows ? "Windows " : kUserAgentPlatform,
+       BuildOSCpuInfo().c_str(),

+ 773 - 0
c/chromium13/chromium13-vl.spec

@@ -0,0 +1,773 @@
+# Thanks to malcolmlewis for help with this script
+# Thanks to Tom "spot" Callaway for much of the patchwork
+# Thanks to jhaygood for most of the icu patch
+
+%define pkgname chromium
+
+#% define with_system_icu 1
+#% define with_system_v8 1
+
+#NOTE: src/third_party/ffmpeg/ffmpeg.gyp: 
+#     libvpx doesn't currently supply a pkg-config file, so we assume that
+#     -lvpx is sufficient.
+%define with_system_vpx 1
+
+Name:           chromium13
+#Name:           chromium
+Summary:        Google's opens source browser project
+Summary(ja):    Googleのオープンソースウェブブラウザ
+#'
+Version:        13.0.782.88
+Release:        1%{?_dist_release}
+License:        BSD
+Group:          Applications/Internet
+Source0:        %{pkgname}-%{version}.tar.xz
+# Script used to create the %{pkgname}-%{version}.tar.xz archive from 
+# a official tarball: 
+# http://build.chromium.org/official/chromium-13.0.782.XXX.tar.bz2
+Source3:        pack_chromium13_source-vine.sh
+# Official ffmpeg headers
+Source8:        ffmpeg-0.6-headers.tar.xz
+# Patch template which adds vendor to user agent
+##!!Source20:       chromium-vendor.patch.in
+Source20:       chromium-vendor-vine.patch.in
+# Set default prefs
+##!!Source30:       master_preferences
+Source30:       master_preferences.vine
+##!!Source31:       default_bookmarks.html
+#Source31:       default_bookmarks.html.vine
+Source99:       chrome-wrapper
+##!!Source100:      chromium-browser.sh
+Source100:      chromium-browser-vine.sh
+##!!Source101:      chromium-browser.desktop
+Source101:      chromium-browser-vine.desktop
+Source102:      chromium-browser.xml
+Source103:      chromium-browser-rpmlintrc
+##!!Source104:      chromium-icons.tar.bz2
+
+%{?nosrc:NoSource: 0}
+
+Provides:       chromium-unstable = %{version}
+Conflicts:      chromium-stable
+
+## Start Patches
+# OpenSuse and Fedora
+# Many changes to the gyp systems so we can use system libraries
+#Patch1:         chromium-gcc46.patch
+Patch4:         chromium-no-sqlite-debug.patch
+Patch8:         chromium-codechanges-zlib.patch
+Patch12:        chromium-no-test-sources.patch
+Patch13:        chromium-no-courgette.patch
+Patch14:        chromium-master-prefs-path.patch
+Patch17:        chromium-system-glew.patch
+Patch18:        chromium-system-expat.patch
+Patch19:        chromium-system-zlib.patch
+Patch20:        chromium-6.0.425.0-ffmpeg-no-pkgconfig.patch
+Patch21:        chromium-7.0.542.0-media-probe.patch
+Patch25:        tcmalloc-factory.patch
+Patch26:        chromium-remoting-build-fix.diff
+Patch28:        chromium-7.0.500.0-system-speex.patch
+Patch29:        chromium-7.0.510.0-system-ffmpeg.patch
+Patch32:        chromium-7.0.542.0-system-libvpx.patch
+Patch34:        chromium-7.0.542.0-codechanges-system-minizip-v8.patch
+Patch62:        chromium-norpath.patch
+Patch63:        chromium-6.0.406.0-system-gyp-v8.patch
+
+# Vine
+Patch100:       chromium-13.0.782.13-no-tests.patch
+
+
+##!!BuildRequires:  Mesa-devel
+BuildRequires:  mesa-libGLU-devel
+##!!BuildRequires:  alsa-devel 
+BuildRequires:  alsa-lib-devel
+BuildRequires:  bison
+BuildRequires:  cups-devel
+BuildRequires:  desktop-file-utils
+BuildRequires:  fdupes
+BuildRequires:  flex
+BuildRequires:  freetype2-devel
+BuildRequires:  gcc gcc-c++
+BuildRequires:  gperf
+BuildRequires:  hunspell-devel
+##!!BuildRequires:  libbz2-devel 
+BuildRequires:  bzip2-devel
+BuildRequires:  libevent
+##!!BuildRequires:  libexpat-devel
+BuildRequires:  expat-devel
+##!!BuildRequires:  libgnutls-devel
+BuildRequires:  gnutls-devel
+BuildRequires:  libjpeg-devel
+BuildRequires:  libpng-devel
+BuildRequires:  libstdc++-devel >= 4.4
+%{?with_system_vpx:BuildRequires:  libvpx-devel >= 0.9.5}
+BuildRequires:  libxslt-devel
+BuildRequires:  libzip-devel
+##!!BuildRequires:  lzma
+BuildRequires:  xz
+##!!BuildRequires:  mozilla-nspr-devel
+BuildRequires:  nspr-devel
+##!!BuildRequires:  mozilla-nss-devel
+BuildRequires:  nss-devel
+BuildRequires:  openssl-devel
+BuildRequires:  pam-devel
+##!!BuildRequires:  perl(Switch)
+BuildRequires:  perl
+##!!BuildRequires:  pkg-config
+BuildRequires:  cairo-devel >= 1.6
+BuildRequires:  dbus-devel
+##!!BuildRequires:  gconf2-devel
+BuildRequires:  GConf2-devel
+BuildRequires:  glib2-devel
+BuildRequires:  gtk2-devel
+BuildRequires:  libxml2-devel
+BuildRequires:  python
+##!!BuildRequires:  python-xml
+BuildRequires:  python-pyxml
+BuildRequires:  sqlite3-devel
+##!!BuildRequires:  update-desktop-files
+%{?with_system_v8:BuildRequires:  v8-devel = %{v8_ver}}
+##!!BuildRequires:  wdiff
+BuildRequires:  zlib-devel
+
+BuildRequires:  libgnome-keyring-devel
+BuildRequires:  python-devel
+
+#BuildRequires:  glew-devel
+BuildRequires:  libevent-devel
+%{?with_system_icu:BuildRequires:  libicu-devel >= 4.0}
+#BuildRequires:  libjingle-devel >= 0.4.0-7
+#BuildRequires:  srtp-devel
+BuildRequires:  speex-devel
+
+##Vine Linux
+#BuildRequires:  libpaper-devel
+BuildRequires:  libXScrnSaver-devel
+BuildRequires:  libXtst-devel
+BuildRequires:  libXdamage-devel
+BuildRequires:  libXt-devel
+%ifarch x86_64
+Requires:  nspluginwrapper
+%endif
+
+##!!Requires:       alsa
+Requires:       alsa-lib
+Requires:       xdg-utils
+%{?with_system_v8:Requires:       v8 = %{v8_ver}}
+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-root
+
+%description
+Chromium is the open-source project behind Google Chrome. 
+We invite you to join us in our effort to help build a safer, faster, 
+and more stable way for all Internet users to experience the web, 
+and to create a powerful platform for developing a new generation of 
+web applications.
+
+%description -l ja
+Chromium は Google Chrome の後方にあるオープンソースプロジェクトです。
+ウェブを体験しているすべてのインターネットユーザに対して
+より安全で、より速くて、より安定した方法を築き上げるのを補助するでしょう。
+そして、ウェブアプリケーションの新しい世代を発展させ、
+強力なプラットホームを作成するために、
+私たちの取り組みにぜひ参加してください。
+
+
+%prep
+#%setup -q
+[ -d %{pkgname}-%{version} ] && %__rm -rf %{pkgname}-%{version}
+xz -dc %{SOURCE0} | %__tar -xf - || exit 1
+%setup -D -T -n %{pkgname}-%{version}
+
+#%patch1 -p1
+%patch62 -p1
+%{?with_system_v8:%patch63 -p1}
+%patch100 -p1 -b .vine
+%patch4 -p1
+%patch8 -p1
+%patch12 -p1
+%patch13 -p1
+%patch14 -p1
+%patch17 -p1
+%patch18 -p1
+%patch19 -p1
+%patch20 -p1
+%patch21 -p1
+%patch25 -p1
+%patch26 -p1
+%patch28 -p1
+%patch29 -p1
+%{?with_system_vpx:%patch32 -p1}
+%{?with_system_v8:%patch34 -p1}
+
+pushd src/third_party/ffmpeg/
+%__tar xf %{SOURCE8} || exit 1
+## built header file: avconfig.h
+[ -f ffmpeg-0.6-headers/libavutil/avconfig.h ] && exit 1
+cat > ffmpeg-0.6-headers/libavutil/avconfig.h <<EOF
+/* Generated by ffconf */
+#ifndef AVUTIL_AVCONFIG_H
+#define AVUTIL_AVCONFIG_H
+#define AV_HAVE_BIGENDIAN 0
+#endif /* AVUTIL_AVCONFIG_H */
+EOF
+popd
+
+#%__rm -rf src/third_party/libvpx/
+%__rm -rf src/third_party/speex/
+%__rm -rf src/third_party/nss src/third_party/nspr
+
+# apply vendor patch after substitution
+%__sed "s:RPM_VERSION:%{version}-%{release}:" %{SOURCE20} | patch -p0
+
+%build
+
+## create make files
+
+PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS -DUSE_SYSTEM_LIBEVENT -fPIC -fno-ipa-cp -fno-strict-aliasing \' | %__sed "s/ /',/g" | %__sed "s/',/', '/g"`
+for i in src/build/common.gypi; do
+        %__sed -i "s|'-march=pentium4',||g" $i
+        %__sed -i "s|'-mfpmath=sse',||g" $i
+        %__sed -i "s|'-O<(debug_optimize)',||g" $i
+        %__sed -i "s|'-m32',||g" $i
+        %__sed -i "s|'-fno-exceptions',|$PARSED_OPT_FLAGS|g" $i
+        %__sed -i "s|'-Werror'|'-Wno-error'|g" $i
+done
+# '
+
+pushd src
+
+./build/gyp_chromium -f make build/all.gyp \
+    -Dlinux_sandbox_path=%{_libdir}/chromium/chrome-sandbox \
+    -Dlinux_sandbox_chrome_path=%{_libdir}/chromium/chromium-browser \
+    -Duse_openssl=0 \
+    -Duse_system_ffmpeg=1 \
+    -Duse_system_zlib=1 \
+    -Duse_system_libpng=1 \
+    -Duse_system_bzip2=1 \
+    -Duse_system_libbz2=1 \
+    -Duse_system_libjpeg=1 \
+    -Duse_system_libxml=1 \
+    -Duse_system_libxslt=1 \
+    -Duse_system_libevent=1 \
+    %{?with_system_vpx:-Duse_system_vpx=1} \
+    %{!?with_system_vpx:-Duse_system_vpx=0} \
+    -Dremove_webcore_debug_symbols=1 \
+    %{?with_system_v8:-Duse_system_v8=1} \
+    %{!?with_system_v8:-Duse_system_v8=0} \
+    %{?with_system_icu:-Duse_system_icu=1} \
+    %{!?with_system_icu:-Duse_system_icu=0} \
+    %{?_with_shared_library:-Dlibrary=shared_library} \
+    -Dproprietary_codecs=1 \
+    -Djavascript_engine=v8 \
+    -Dlinux_fpic=1 \
+    %ifarch %{ix86}
+        -Dtarget_arch=ia32 \
+        -Ddisable_sse2=1 \
+    %endif
+    %ifarch x86_64
+        -Dtarget_arch=x64 \
+    %endif
+    -Dno_strict_aliasing=1 \
+    -Drelease_extra_cflags=-fPIC \
+    %if %{?_dist_release} == "vl6"
+        -Dgcc_version=44 \
+    %endif
+    ;
+
+#%__make -r %{?_smp_mflags} chrome BUILDTYPE=Release
+%__make -r %{?_smp_mflags} chrome V=1 BUILDTYPE=Release
+
+popd
+
+%install
+%{__rm} -rf %{buildroot}
+
+%__mkdir -p %{buildroot}%{_bindir}
+%__install -m 755 %{SOURCE100} %{buildroot}%{_bindir}/chromium
+# x86_64 capable systems need this
+%__sed -i "s|/usr/lib/chromium|%{_libdir}/chromium|g" %{buildroot}%{_bindir}/chromium
+%__mkdir -p %{buildroot}%{_libdir}/chromium/
+%__mkdir -p %{buildroot}%{_mandir}/man1/
+pushd src/out/Release
+%__cp -a chrome.pak locales resources xdg-settings %{buildroot}%{_libdir}/chromium/
+%__cp -a resources.pak %{buildroot}%{_libdir}/chromium/
+%__cp -a chrome %{buildroot}%{_libdir}/chromium/chromium
+%{?_with_shared_library:%__cp -a lib.target/lib*.so %{buildroot}%{_libdir}/chromium/}
+%{?_with_shared_library:%__cp -a lib.host/lib*.so %{buildroot}%{_libdir}/chromium/}
+%__cp -a chrome.1 %{buildroot}%{_mandir}/man1/chrome.1
+%__cp -a chrome.1 %{buildroot}%{_mandir}/man1/chromium.1
+fdupes %{buildroot}%{_mandir}/man1/
+popd
+
+%__mkdir_p %{buildroot}%{_datadir}/pixmaps/
+%__cp -a src/chrome/app/theme/chromium/product_logo_48.png %{buildroot}%{_datadir}/pixmaps/chromium-browser.png
+for i in 16 22 24 32 48 64 128 256; do
+    %__mkdir_p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps
+    %__cp -a src/chrome/app/theme/chromium/product_logo_${i}.png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/chromium-browser.png || exit 1
+done
+
+%__mkdir_p %{buildroot}%{_datadir}/applications/
+desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE101}
+
+%__mkdir_p %{buildroot}%{_datadir}/gnome-control-center/default-apps/
+%__cp -a %{SOURCE102} %{buildroot}%{_datadir}/gnome-control-center/default-apps/
+
+# # link to browser plugin path.  Plugin patch doesn't work. Why?
+# %{__mkdir_p} %{buildroot}%{_libdir}/browser-plugins
+# pushd %{buildroot}%{_libdir}/%{pkgname}
+# %{__ln_s} %{_libdir}/browser-plugins plugins
+# popd
+pushd %{buildroot}%{_libdir}/%{pkgname}
+%ifarch x86_64
+%{__ln_s} %{_libdir}/mozilla/plugins-wrapped plugins
+%else
+%{__ln_s} %{_libdir}/mozilla/plugins plugins
+%endif
+
+## support ffmpeg libs
+touch %{buildroot}%{_libdir}/libavcodec.so.52
+%{__ln_s} %{_libdir}/libavcodec.so.52 libavcodec.so.52
+touch %{buildroot}%{_libdir}/libavformat.so.52
+%{__ln_s} %{_libdir}/libavformat.so.52 libavformat.so.52
+touch %{buildroot}%{_libdir}/libavutil.so.50
+%{__ln_s} %{_libdir}/libavutil.so.50 libavutil.so.50
+popd
+
+# Install the master_preferences file
+%__mkdir_p %{buildroot}%{_sysconfdir}/%{pkgname}
+#%__install -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/%{pkgname}
+%__install -m 0644 %{SOURCE30} %{buildroot}%{_sysconfdir}/%{pkgname}/$(basename %{SOURCE30} .vine)
+#%__install -m 0644 %{SOURCE31} %{buildroot}%{_sysconfdir}/%{pkgname}
+
+%clean
+%{__rm} -rf %{buildroot}
+
+%post
+touch --no-create %{_datadir}/icons/hicolor
+if [ -x %{_bindir}/gtk-update-icon-cache ]; then
+  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
+fi 
+%{_bindir}/update-desktop-database --quiet %{_datadir}/applications || :
+
+%postun
+%{_bindir}/update-desktop-database --quiet %{_datadir}/applications
+touch --no-create %{_datadir}/icons/hicolor
+if [ -x %{_bindir}/gtk-update-icon-cache ]; then
+  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
+fi || :
+
+
+%files
+%defattr(-,root,root,-)
+%config %{_sysconfdir}/%{pkgname}
+%dir %{_datadir}/gnome-control-center
+%dir %{_datadir}/gnome-control-center/default-apps
+%dir %{_libdir}/chromium/
+%{_bindir}/chromium
+%{_libdir}/chromium/chromium
+%{_libdir}/chromium/plugins/
+%{_libdir}/chromium/resources/
+%{_libdir}/chromium/xdg-settings
+%{_mandir}/man1/chrom*
+%{_datadir}/pixmaps/chromium-browser.png
+%{_datadir}/icons/hicolor/*/apps/chromium-browser.png
+%{_datadir}/applications/*.desktop
+%{_datadir}/gnome-control-center/default-apps/chromium-browser.xml
+#%{_datadir}/icons/oxygen/
+%{_libdir}/chromium/chrome.pak
+%{_libdir}/chromium/resources.pak
+%{_libdir}/chromium/locales/
+%{?_with_shared_library:%{_libdir}/chromium/lib*.so}
+%{_libdir}/chromium/libavcodec.so.52
+%{_libdir}/chromium/libavutil.so.50
+%{_libdir}/chromium/libavformat.so.52
+%exclude %{_libdir}/libavcodec.so.52
+%exclude %{_libdir}/libavutil.so.50
+%exclude %{_libdir}/libavformat.so.52
+
+%changelog
+* Wed Jul 13 2011 Munehiro Yamamoto <munepi@vinelinux.org> 13.0.782.88-1
+- updated to 13.0.782.88
+- added BuildRequires: libzip-devel
+- added Provides: chromium-unstable = %%{version}
+- added Conflicts: chromium-stable
+
+* Thu Jun 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 12.0.742.93-1
+- fix user-agent string (chromium-vendor-vine.patch.in)
+  - move vendor string (Vine/12.0.742.91-1vl6) to the end.
+
+* Sat Jun 11 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.93-1
+- updated to 12.0.742.93
+- fixed icon field of chromium-browser-vine.desktop
+
+* Wed Jun 08 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.91-1
+- updated to 12.0.742.91
+
+* Sun Jun 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.77-1
+- updated to 12.0.742.77
+
+* Sat May 21 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.63-1
+- updated to 12.0.742.63
+
+* Sun May 07 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.42-1
+- updated to 12.0.742.42
+
+* Sun Apr 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 12.0.742.6-1
+- updated to 12.0.742.6
+- dropped/upstreamed patches
+- updated our no-tests patch (chromium-12.0.742.6-no-tests.patch)
+
+* Wed Apr 13 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.50-1
+- updated to 11.0.696.50
+- dropped some Patches for MeeGo Netbook
+
+* Tue Apr 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.35-1
+- updated to 11.0.696.35
+
+* Wed Mar 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.29-1
+- updated to 11.0.696.29
+- dropped "--no-first-run" in command line options of chromium-browser-vine.sh
+
+* Thu Mar 24 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.22-1
+- updated to 11.0.696.22
+- improved chromium-browser-vine.sh
+  - merged from chromium-browser-vine.desktop of 11.0.696.17-1
+
+* Wed Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.20-1
+- updated to 11.0.696.20
+- improved chromium-browser-vine.desktop
+
+* Sun Mar 20 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.17-1
+- updated to 11.0.696.17
+
+* Sat Mar 19 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.15-1
+- updated to 11.0.696.15
+  - ready for Vine Linux 6 release
+- dropped BuildRequires: v8-devel, libicu-devel
+
+* Wed Mar 09 2011 Munehiro Yamamoto <munepi@vinelinux.org> 11.0.696.5-1
+- updated to 11.0.696.5 with v8 3.2.0
+- added BuildRequires: pam-devel
+
+* Thu Feb 10 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 10.0.651.0-2
+- rebuilt with libevent-2.0.10
+
+* Sat Jan 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 10.0.651.0-1
+- updated to 10.0.651.0 with v8 3.0.12
+- added BuildRequires: 
+  - libpaper-devel
+  - python-devel
+- added built header file: libavutil/avconfig.h %%prep
+- unexport MOZ_PLUGIN_PATH in chromium-browser-vine.sh
+
+* Sun Dec 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 10.0.622.0-1
+- updated to 10.0.622.0
+- added BuildRequires: libXt-devel
+
+* Sat Dec 11 2010 Munehiro Yamamoto <munepi@vinelinux.org> 10.0.605.0-1
+- updated to 10.0.605.0
+- added BuildRequires: 
+  - libXdamage-devel
+  - hunspell-devel
+
+* Sat Dec 04 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.0.598.0-1
+- updated to 9.0.598
+
+* Fri Nov 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.0.593.0-1
+- updated to 9.0.593
+
+* Thu Nov 11 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.0.582.0-1
+- updated to 9.0.582
+- added Requires: xdg-utils
+
+* Thu Nov 11 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.0.578.0-1
+- updated to 9.0.578
+
+* Sat Oct 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 9.0.569.0-1
+- updated to 9.0.569
+
+  * Mon Oct 25 2010 tittiatcoke@gmail.com
+  - Update to 9.0.564 build
+    * Added specific patches for MeeGo.
+    * We are now using shared libraries for Chromium
+    * Spec-file cleanup (Thanks to prusnak)
+
+* Sat Oct 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 8.0.556.0-1
+- updated to snapshot 8.0.556
+
+* Sun Oct 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 8.0.551.0-1
+- updated to snapshot 8.0.551
+
+* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.527.0-1
+- updated to snapshot 7.0.527
+
+* Thu Sep 09 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.519.0-1
+- updated to snapshot 7.0.519
+
+* Fri Sep 03 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.513.0-1
+- updated to snapshot 7.0.513
+  - updated chromium-vendor-vine.patch.in
+
+* Sat Aug 28 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.507.0-1
+- updated to snapshot 7.0.507
+
+* Wed Aug 18 2010 Munehiro Yamamoto <munepi@vinelinux.org> 7.0.498.0-1
+- updated to snapshot 7.0.498
+
+* Sat Aug 14 2010 Munehiro Yamamoto <munepi@vinelinux.org> 6.0.493.0-1
+- updated to snapshot 6.0.493
+- used with_system_icu (for vl6)
+  - added BuildRequires: libicu-devel
+
+* Thu Jul 22 2010 IWAI, Masaharu <iwai@alib.jp> 6.0.454.0-2vl5
+- build for Vine Linux 5.x
+  - add BuildRequires: gnome-keyring-devel
+
+* Sat Jul 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 6.0.454.0-1
+- updated to snapshot 6.0.454
+- added BuildRequires: 
+  - sqlite3-devel
+  - gnutls-devel
+  - libgnome-keyring-devel
+
+* Sat Jun 12 2010 Munehiro Yamamoto <munepi@vinelinux.org> 6.0.431.0-1
+- updated to snapshot 6.0.431.0 r49253
+- added BuildRequires: cups-devel
+
+* Sun May 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 6.0.405.0-1
+- updated to snapshot 6.0.405.0 r47263
+
+* Fri Apr 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.378.0-2
+- unused with_system_icu (for vl6)
+  - used icu-4.2.1-chromium.5.0.353.0.svn41449 (for vl6)
+
+* Wed Apr 14 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.378.0-1
+- updated to snapshot 5.0.378.0 r44472
+  - used with_system_icu (for vl6)
+  - added icu-4.2.1-chromium.5.0.353.0.svn41449.tar.bz2 (for vl5)
+
+* Sat Apr 10 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.372.0-1
+- updated to snapshot 5.0.372.0 r43947
+- added BuildRequires: glew-devel
+- changed Group tag to Applications/Internet
+- added Summary(ja) and %%description -l ja 
+
+* Mon Apr 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.365.0-1
+- updated to snapshot 5.0.365.0 r42966
+- merged 5.0.353.0-4vl5
+ * Fri Apr  2 2010 IWAI, Masaharu <iwai@alib.jp> 5.0.353.0-4vl5
+ - build on Vine Linux 5.1
+   - add BuildRequires: libstdc++34 libstdc++34-devel for Vine5
+
+* Sat Mar 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.364.0-1
+- updated to snapshot 5.0.364.0 r42779
+
+* Sun Mar 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.359.0-1
+- updated to snapshot 5.0.359.0 r42116
+- dropped chromium-20100122-ubuntu-html5-video-mimetypes.patch
+
+* Tue Mar 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.353.0-4
+- fixed master_preferences.vine, little
+
+* Tue Mar 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.353.0-3
+- fixed to install master_preferences
+- dropped chromium-5.0.353-no-ffmpeg-vine.patch
+
+* Tue Mar 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.353.0-2
+- applied chromium-5.0.353-no-ffmpeg-vine.patch
+
+* Tue Mar 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.353.0-1
+- updated to snapshot 5.0.353.0 r41449
+  * Wed Mar 10 2010 bgmerrell@novell.com
+  - Add master_preferences source file and install it to /etc/chromium.
+  - Create a new patch (chromium-master-prefs-path.patch) which tells
+    chromium to look in /etc/chromium for the master_preferences file
+    (instead of looking in the default directory, which is the same
+    directory as the 'chrome' binary).
+
+* Sun Feb 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.335.0-1
+- updated to snapshot 5.0.335.0 r39556
+
+* Sat Feb 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.330.0-2
+- applied chromium-20100122-ubuntu-html5-video-mimetypes.patch from Gentoo
+
+* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.330.0-1
+- updated to snapshot 5.0.330.0 r39074
+
+* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.329.0-5
+- use_system_ffmpeg
+
+* Tue Feb 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.329.0-4
+- added Requires:  nspluginwrapper
+- fixed a symbolic link of plugins directory with nspluginwrapper
+
+* Tue Feb 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.329.0-3
+- replaced %%{SOUECE20} to chromium-vendor-vine.patch.in
+
+* Tue Feb 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.329.0-2
+- added BuildRequires: mesa-libGLU-devel
+- added BuildRequires: libstdc++34 libstdc++34-devel for vl5
+
+* Tue Feb 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 5.0.329.0-1
+- built based on chromium-5.0.329.0-167.1.src.rpm of OpenSuse
+
+  * Sun Nov 29 2009 - tittiatcoke@gmail.com - 4.0.260.0
+  - Update to 4.0.260
+  * Fri Nov 27 2009 - tittiatcoke@gmail.com - 4.0.259.0
+  - Update to 4.0.259
+  * Thu Nov 26 2009 - tittiatcoke@gmail.com - 4.0.258.0
+  - Update to 4.0.258
+  * Tue Nov 24 2009 - tittatcoke@gmai.com - 4.0.257.0
+  - In order to complete prevent the wrong v8 version to be used, the Chromium build has been
+    changed to having an built-in v8 
+  * Tue Nov 24 2009 - dbuck@example.com - 4.0.257.0
+  - Re-base patches.  Fixed a few patch errors.  Rename some patches to better correspond with function.  Removed some patches.
+  - Minor SPEC changes.  I changed the v8 requirement to be exact, instead of greater than a specific version.
+  * Sat Oct 24 2009 - Pavol Rusnak <prusnak@suse.cz> - 4.0.223.5
+  - don't create desktop files in wrapper, fix LD_LIBRARY_PATH (chromium-fix-wrapper.patch)
+  * Tue Oct 20 2009 - Raymond Wooninck >tittiatcoke@gmail.com> - 4.0.223.5
+  - update to newer svn snapshot
+    + Obsoletes fwrite patch (included upstream)
+  * Fri Oct 16 2009 - Raymond Wooninck <tittiatcoke@gmail.com> - 4.0.223.2
+  - update to newer svn snapshot
+    + Requires newer version of v8
+  * Thu Oct 15 2009 - Pavol Rusnak <prusnak@suse.cz> - 4.0.222.6
+  - do not force SSE on x86 (drop-sse.patch)
+  * Tue Oct 13 2009 - Raymond Wooninck <tittiatcoke@gmail.com> - 4.0.222.6
+  - Update to newer svn snapshot
+  - Fixed spec file in order to build
+  - Included patch to build with system zlib
+  * Mon Oct 12 2009 - Pavol Rusnak <prusnak@suse.cz> 4.0.222.2
+  - package renamed to chromium
+  - cleaned up spec file
+  * Tue Oct 6 2009 - dbuck <dbuck@example.com> - 4.0.222.2
+  - v8 is now built as a separate package, and is required
+  - included many patches to use system libraries: v8, icu, libxml2, libxslt, libjpeg, libpng, libevent, bzip2, zlib, nspr, nss
+  * Sun Oct 1 2009 - dbuck <dbuck@example.com> - 4.0.221.1
+  - included a newer DEP than is in svn, native_client@823.  So things should compile cleanly now
+  * Sun Aug 31 2009 - dbuck <dbuck@example.com> - 4.0.204.0
+  - initial build
+
+#% changelog
+* Sun Jan 24 2010 prusnak@suse.cz
+- added vendor to user agent (chromium-vendor.patch.in)
+* Sun Nov 29 2009 prusnak@suse.cz
+- added --enable-sync to wrapper to enable bookmark sync
+* Sun Nov 29 2009 tittiatcoke@gmail.com  
+- Update to 4.0.260
+* Fri Nov 27 2009 tittiatcoke@gmail.com  
+- Update to 4.0.259
+* Thu Nov 26 2009 tittiatcoke@gmail.com  
+- Update to 4.0.258
+* Tue Nov 24 2009 tittatcoke@gmai.com  
+- In order to complete prevent the wrong v8 version to be used,
+  the Chromium build has been changed to having an built-in v8
+* Tue Nov 24 2009 dbuck@example.com  
+- Re-base patches.
+- Fixed a few patch errors.
+- Rename some patches to better correspond with function.
+- Removed some patches.
+- Minor SPEC changes.
+- I changed the v8 requirement to be exact, instead of greater than a specific version.
+* Fri Nov 13 2009 tittiatcoke@gmail.com
+- update to 247.0 svn 31928
+* Fri Oct 30 2009 tittiatcoke@gmail.com
+- update to 229.0 svn 30454
+  + Fix regression where popups and app frames lost their titlebars.
+  + Makes it so that when a folder is open on the bookmark bar
+    and the mouse moves over another folder, the menu for that
+    folder is shown.
+  + Lazily create the find bar.
+  + Polish to the gmail checker sample.
+  * New, crisper icons that are exactly 19x19
+  * Add a loading animation at the beginning before Gmail
+    responds.
+  * Fix a bug where we sometimes don't update the UI after a
+    logout/login cycle.
+  + Refactor widget methods to support desktop notifications,
+    including GTK stubs.
+  + Find-in-page should not ding while deleting characters.
+  + Add SSL wrapper for linux and mac.  This allows notifier to
+    use chrome's SSL layer instead of OpenSSL.
+  + Add three of the six extensions to PAC that Internet Explorer supports.
+  + WebSocket support in chromium. (Run with --enable-web-sockets
+    enables WebSocket features.)
+  + Do not allow GTK File Chooser dialogs to return directories.
+  + Fix the notifier SSL layer to make notifications work for
+    Linux Bookmark sync.
+  + linux: don't override mouse selection behavior in omnibox
+* Sun Oct 25 2009 tittiatcoke@gmail.com
+- Update to 224.4 svn 30027
+  + First cut at new page and browser action docs based
+    on new API. Deleted old stuff.
+  + Add suppression for new memory leak caused by WebKit merge 49830:49844
+  + Cleanup: change PIDs to base::ProcessId (or pid_t, as appropriate)
+  + Minimize dependency of user scripts
+  + Fixup the flip_framer eof-handling semantics now that we have
+    the FIN bit in place
+  + app depends on x11 because of active_window_watcher_x
+  + Adding two images for the new Extension managment UI
+  + Removing hard-coded Chrome Frame output path
+  + Rearrange clipboard code
+  + Fix crash bug when attempting to download a url with unsupported scheme,
+    e.g. 'data:', by 'Alt + Click'
+  + GTK: Change text for extension download UI
+  + Ignore invalid urls on command line
+  + Make dropped tabs animate from where they were dropped.
+  + Make room for the full width of the tab placeholder.
+  + Make tab dragging as smooth as glass.
+  + Remove an annoying NOTIMPLEMNETED
+  + Extensions: guarantee removal of BROWSER_WINDOW_READY registration
+  + If we're in the middle of a drag, don't allow the user to middle
+    click to close or right click for the context menu
+  + "Fix" a NOTIMPLEMENTED on Linux by using the default password store
+  + Remove +x bit from files that shouldn't have it
+  + Fold first 3 channels of multichannel instead of 5.  Use fixed point
+  + Adding new image needed for the managment UI
+  + Fix a race bug where content scripts would not apply to the first page load
+  + Make escape remove a bookmark if it's just been added (but not if it already existed)
+  + Fix bubbles deactivating the opaque frame
+  + Allow ESC to cancel ALT+SHIFT+T in Toolbar
+  + ake all pepper plugins default to windowless and transparent
+  + Add styles for printing
+  + Implement the new extension management UI
+  + Add support for to automation interface load install and load extensions
+  + GTK: theme the info bar border
+  + Update V8 to version 1.3.16.1
+  + Introduce WebSecurityPolicy for security related methods
+  + New button scheme...borders are separate from the inner contents so
+    that they can be highlighted / depressed independently
+  + When opening Chrome maximized with an application window already
+    running, the Chrome window was not activated
+  + Fix compatibility problems with FileZilla FTP Server
+  + Remove the extension shelf on Linux
+  + Fix the proxy host and port string to start with http:// if it does not already
+  + Enable HTML5 databases for all extension renderer processes
+* Sat Oct 24 2009 prusnak@opensuse.org  
+- don't create desktop files in wrapper
+- fix LD_LIBRARY_PATH (chromium-fix-wrapper.patch)
+* Tue Oct 20 2009 tittiatcoke@gmail.com  
+- update to newer svn snapshot
+  + Obsoletes fwrite patch (included upstream)
+* Fri Oct 16 2009 tittiatcoke@gmail.com  
+- update to newer svn snapshot
+  + Requires newer version of v8
+* Thu Oct 15 2009 prusnak@suse.cz  
+- do not force SSE on x86 (drop-sse.patch)
+* Tue Oct 13 2009 tittiatcoke@gmail.com  
+- Update to newer svn snapshot
+- Fixed spec file in order to build
+- Included patch to build with system zlib
+* Mon Oct 12 2009 prusnak@suse.cz  
+- package renamed to chromium
+- cleaned up spec file
+* Tue Oct  6 2009 dbuck@example.com  
+- v8 is now built as a separate package, and is required
+- included many patches to use system libraries:
+    v8, icu, libxml2, libxslt, libjpeg, libpng, libevent, bzip2, zlib, nspr, nss
+* Thu Oct  1 2009 dbuck@example.com  
+- included a newer DEP than is in svn, native_client@823
+- things should compile cleanly now
+* Mon Aug 31 2009 dbuck@example.com  
+- initial build

+ 30 - 0
c/chromium13/master_preferences.vine

@@ -0,0 +1,30 @@
+{
+  "distribution": {
+     "skip_first_run_ui": false,
+     "alternate_shortcut_text": false,
+     "oem_bubble": true,
+     "chrome_shortcut_icon_index": 0,
+     "create_all_shortcuts": true,
+     "show_welcome_page": true,
+     "make_chrome_default": false,
+     "make_chrome_default_for_user": false,
+     "system_level": false,
+     "verbose_logging": false
+  },
+  "download": {
+     "extensions_to_open": "ymp"
+  },
+  "browser": {
+     "show_home_button": true,
+     "check_default_browser": false
+  },
+  "bookmark_bar": {
+     "show_on_all_tabs": true
+  },
+  "first_run_tabs": [
+     "http://vinelinux.org/",
+     "http://tools.google.com/chrome/intl/ja/welcome.html"
+  ],
+  "homepage": "http://vinelinux.org/",
+  "homepage_is_newtabpage": false
+}

+ 138 - 0
c/chromium13/pack_chromium13_source-vine.sh

@@ -0,0 +1,138 @@
+#!/bin/bash
+#
+# forgive me for the state of this script
+
+set -e
+
+tmp=$(mktemp -d)
+pwd=$(pwd)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+chromium_svn_dir=$1
+chromium_tgt_dir=${tmp}/${chromium_svn_dir}
+
+[ ! -d $chromium_svn_dir ] && \
+    echo "No such directories: $chromium_svn_dir" && \
+    [ -f ${chromium_svn_dir}.tar.bz2 ] && \
+    echo "But, found $chromium_svn_dir.tar.bz2" && \
+    echo "Decompressing $chromium_svn_dir.tar.bz2" && \
+    tar jxf ${chromium_svn_dir}.tar.bz2
+
+mkdir -p ${chromium_tgt_dir}
+
+name=chromium
+#version="`cat $chromium_svn_dir/src/chrome/VERSION | cut -f2 -d= |while read i; do echo -n $i\. ; done`"
+version="`cat $chromium_svn_dir/chrome/VERSION | cut -f2 -d= |while read i; do echo -n $i\. ; done`" && version=$(echo $version | sed s/\.$//)
+#revision="svn`cat $chromium_svn_dir/src/.svn/entries | grep -m1 -A1 'dir' | tr '\n\r' '-' | cut -f2 -d-`"
+
+echo "Version: $version"
+#echo "Revision: $revision"
+
+xz="`which xz 2>/dev/null`"
+lzma="`which lzma 2>/dev/null`"
+
+
+if [ -z $chromium_svn_dir ]
+then
+	echo "Usage:  `basename $0` [SVN_SOURCE_DIR]"
+	exit 1
+fi
+
+if [ -f $xz ]
+then
+	compress=$xz
+	#compress_opts='-9 -F lzma' #xz compresses MUCH faster, so why not make it compress more?  We have the RAM...
+	compress_opts='-9'
+	echo "using xz"
+else
+    exit 1
+	compress=$lzma
+	compress_opts="-7"
+	echo "using lzma"
+fi
+
+echo
+echo "Moving source in staging area"
+#cp -R $chromium_svn_dir $chromium_tgt_dir
+cp -ra $chromium_svn_dir ${chromium_tgt_dir}/src
+
+# remove big bad ffmpeg binaries.
+echo "Removing ffmpeg binaries/sources"
+cd $chromium_tgt_dir/src/third_party/ffmpeg/
+rm -rf binaries/
+rm -rf patched-ffmpeg-mt/*.c patched-ffmpeg-mt/*.h patched-ffmpeg-mt/doc patched-ffmpeg-mt/ffpresets patched-ffmpeg-mt/mt-work 
+rm -rf patched-ffmpeg-mt/libavformat/*.c patched-ffmpeg-mt/libavcodec/*.c patched-ffmpeg-mt/tools patched-ffmpeg-mt/tests
+rm -rf patched-ffmpeg-mt/libavutil/*.c patched-ffmpeg-mt/libavfilter/*.c patched-ffmpeg-mt/libavdevice/*.c patched-ffmpeg-mt/libpostproc/*.c patched-ffmpeg-mt/libswscale/*.c
+echo "Removing courgette sources"
+cd $chromium_tgt_dir/src/
+rm -rf courgette/
+echo "Removing o3d plugin sources (Not yet buildable)"
+cd $chromium_tgt_dir/src/
+rm -rf o3d/
+echo "Removing unnecessary sources"
+rm -rf third_party/WebKit/WebKitTools/Scripts/webkitpy/layout_tests/
+rm -rf webkit/data/layout_tests/
+rm -rf third_party/hunspell/dictionaries/
+rm -rf src/third_party/WebKit/LayoutTests/
+rm -rf chrome/test/data/
+#rm -rf third_party/icu/icudt42.dll  
+#rm -rf third_party/icu/linux/  
+#rm -rf third_party/icu/mac/  
+#rm -rf third_party/icu/source/  
+rm -rf native_client/tests/
+#rm -rf third_party/libvpx/ 
+#rm -rf third_party/speex/
+# Remove other directories (untested)
+cd $chromium_tgt_dir/src/third_party
+# First, just take out the sources for the items which have already been conditionalized so we're sure we're not using them.
+# We need to leave the .gyp files since this is how it finds the system libs.
+# bzip2
+rm -rf bzip2/*.c bzip2/*.h bzip2/LICENSE
+
+# libjpeg
+rm -rf libjpeg/*.c libjpeg/README*
+
+# libpng
+rm -rf libpng/*.c libpng/*.h libpng/README* libpng/LICENSE
+
+# libevent 
+rm -rf libevent/*.c libevent/*.h libevent/*sh libevent/config* libevent/*.3 libevent/README libevent/compat libevent/linux libevent/mac libevent/sample libevent/test libevent/ChangeLog libevent/Makefile.* libevent/aclocal.m4 libevent/*.py libevent/mising libevent/mkinstalldirs
+
+# libxml
+rm -rf libxml/*c libxml/*.h libxml/*.in libxml/*sh libxml/*.m4 libxml/*.py libxml/*.xml libxml/missing libxml/mkinstalldirs libxml/*.1 libxml/build libxml/include libxml/linux libxml/mac libxml/win32 libxml/AUTHORS libxml/COPYING libxml/ChangeLog libxml/Copyright libxml/INSTALL libxml/NEWS libxml/README libxml/README.tests libxml/TODO* libxml/config* libxml/*.pl
+
+# libxslt
+rm -rf libxslt/build libxslt/libexslt libxslt/libxslt libxslt/linux libxslt/mac libxslt/win32 libxslt/AUTHORS libxslt/COPYING libxslt/ChangeLog libxslt/FEATURES libxslt/INSTALL libxslt/NEWS libxslt/README libxslt/TODO libxslt/*.h libxslt/*.m4 libxslt/compile libxslt/config* libxslt/depcomp libxslt/*sh libxslt/*.in libxslt/*.spec libxslt/missing
+
+# Next, nuke the whole directories for things not yet conditionalized:
+#rm -rf nss/ nspr/ 
+
+# expat is only built on windows
+rm -rf expat/files
+
+# Another copy of zlib? Unpossible!
+rm -rf src/third_party/WebKit/WebCore/platform/image-decoders/zlib/
+
+# #Remove v8 as that we build against the system one
+# rm -rf src/v8/include src/v8/src/
+
+
+echo 
+echo "Recompressing and excluding svn data"
+echo "  this takes a while, sorry"
+echo "  Compressing with $compress"
+
+cd $chromium_tgt_dir/
+cd ..
+
+#tar --exclude=\.svn -cf - $name/ | $compress ${compress_opts} > "chromium"."$version""$revision".tar.lzma
+tar --exclude=\.svn -cf - ${name}-${version} | $compress ${compress_opts} > ${pwd}/${name}-${version}.tar.xz
+
+#rm -rf $chromium_tgt_dir
+
+exit